Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.security
Class ForgotPassword

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.security.ForgotPassword

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ForgotPassword

extends AbstractAction

A webwork action to handle a registered user forgetting their password.

Field Summary
`protected Context` | `context`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ForgotPassword()`

Method Summary
`String` | `doDefault()` Places the current user on the page
`String` | `doExecute()` Places the current user on the page
`BambooMailer` | `getBambooMailer()`
`Context` | `getContext()` Used in testing
`String` | `getUsername()`
`void` | `setBambooMailer(BambooMailer bambooMailer)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setUsername(String username)`
`void` | `validate()` Ensure the user has entered a valid user email address

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### context

    protected Context context

Constructor Detail

### ForgotPassword

    public ForgotPassword()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Description copied from class: `AbstractAction`
  Places the current user on the page

  Overrides:
    `doDefault` in class `AbstractAction`
  Returns:
    webwork success status
  Throws:
    `Exception` - something nasty went wrong

### validate

    public void validate()

  Ensure the user has entered a valid user email address

  Overrides:
    `validate` in class `AbstractAction`

### doExecute

    public String doExecute()
                     throws Exception

  Description copied from class: `AbstractAction`
  Places the current user on the page

  Overrides:
    `doExecute` in class `AbstractAction`
  Returns:
    webwork success status
  Throws:
    `Exception` - something nasty went wrong

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getBambooMailer

    public BambooMailer getBambooMailer()

### setBambooMailer

    public void setBambooMailer(BambooMailer bambooMailer)

### getContext

    public Context getContext()

  Used in testing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.